﻿using CalendarNotepad.Extends;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CalendarNotepad
{
    public partial class dlgDatabaseSchemas:Form
    {
        public dlgDatabaseSchemas() {
            InitializeComponent();
        }

        private void dlgDatabaseSchemas_Load(object sender,EventArgs e) {
            StringBuilder sb = new();
            using var db = new DbContext();
            var tables = db.DbMaintenance.GetTableInfoList(false);
            sb.AppendLine($"查询共{tables.Count}张表");
            foreach(var t in tables) {
                sb.AppendLine($"Table：{t.Name}");
                var cols = db.DbMaintenance.GetColumnInfosByTableName(t.Name,false);
                foreach(var c in cols) {
                    sb.AppendLine($"    Column：{c.DbColumnName}：{c.DataType}:{c.Length}:{c.ColumnDescription}");
                }
            }
            this.richTextBox1.Text = sb.ToString();
        }
    }
}
